> For the complete documentation index, see [llms.txt](https://docs.wisej.com/api/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.wisej.com/api/wisej.core/general/wisej.core.mimetypes.md).

# MimeTypes

Namespace: **Wisej.Core**

Assembly: **Wisej.Framework** (4.0.0.0)

Maps document extensions to content MIME types.

{% tabs %}
{% tab title="C#" %}

```csharp
public class MimeTypes
```

{% endtab %}

{% tab title="VB.NET" %}

```visual-basic
Public Class MimeTypes
```

{% endtab %}
{% endtabs %}

## Methods

### ![](/files/lIX317sDtMTZJBi9oSIx) GetMimeType(fileName)

Returns the MIME mapping for the specified file name.

| Parameter    | Type                                                          | Description                                            |
| ------------ | ------------------------------------------------------------- | ------------------------------------------------------ |
| **fileName** | [String](https://docs.microsoft.com/dotnet/api/system.string) | The file name that is used to determine the MIME type. |

**Returns:** [String](https://docs.microsoft.com/dotnet/api/system.string).

### ![](/files/lIX317sDtMTZJBi9oSIx) IsKnownType(extension)

Returns if the file extension corresponds to a known mime type.

| Parameter     | Type                                                          | Description                  |
| ------------- | ------------------------------------------------------------- | ---------------------------- |
| **extension** | [String](https://docs.microsoft.com/dotnet/api/system.string) | The file extension to check. |

**Returns:** [Boolean](https://docs.microsoft.com/dotnet/api/system.boolean).

### ![](/files/lIX317sDtMTZJBi9oSIx) SetMimeType(extension, mimeType)

Adds or changes the mime type for the specified file extension.

| Parameter     | Type                                                          | Description                                      |
| ------------- | ------------------------------------------------------------- | ------------------------------------------------ |
| **extension** | [String](https://docs.microsoft.com/dotnet/api/system.string) | The file extension to add to the mime type list. |
| **mimeType**  | [String](https://docs.microsoft.com/dotnet/api/system.string) | The mime type to add to the mime type list.      |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.wisej.com/api/wisej.core/general/wisej.core.mimetypes.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
